# make file for TSR Utilities 3
# note: this make file is written for Borland's MAKE program
# it will *not* work with Microsoft's MAKE

# locate compilers and options
assemble=TASM.EXE
compile=TPC.EXE /M /$D- /$L-
link=TLINK.EXE

# force evaluation of all dependencies
all: release.exe mapmem.exe disable.exe marknet.exe relnet.exe device.exe \
     mark.com fmark.com eatmem.com ramfree.com watch.com

# implicit rules
.asm.com:
  $(assemble) $*;
  $(link) /t/m $*
  del $*.obj

.pas.exe:
  $(compile) $*

.pas.tpu:
  $(compile) $*

# explicit rules
memu.tpu: xms.tpu

disable.exe: disable.pas memu.tpu

mapmem.exe: mapmem.pas memu.tpu xms.tpu ems.tpu

marknet.exe: marknet.pas memu.tpu xms.tpu ems.tpu

release.exe: release.pas memu.tpu ems.tpu

relnet.exe: relnet.pas memu.tpu ipx.tpu xms.tpu ems.tpu

watch.com: watch.asm
  $(assemble) $*;
  $(link) /t/m $*
  del $*.obj
  echo !!! Be sure to update offsets in MEMU.PAS
